Bug 316411 - s-c-c cluster.ng doesn't accept the optional lanplus attribute for fencing methods
s-c-c cluster.ng doesn't accept the optional lanplus attribute for fencing me...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-cluster (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ryan McCabe
Depends On:
  Show dependency treegraph
Reported: 2007-10-03 00:03 EDT by Norm Murray
Modified: 2016-04-26 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-21 17:19:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fixed cluster.ng schema (18.78 KB, application/octet-stream)
2007-10-03 00:04 EDT, Wade Mealing
no flags Details
Cluster.conf with incorrect attributes. (1.35 KB, application/octet-stream)
2007-10-03 00:05 EDT, Wade Mealing
no flags Details

  None (edit)
Description Wade Mealing 2007-10-03 00:03:34 EDT
Description of problem:

Set up a cluster using fencipmilan method and the cluster nodes's fencing schema
does not allow for the "lanplus" parameter which is added (possibly used,
possibly not.. i don't know)

Add the optional attribute in the schema file ...

        <!-- ILO, ipmilan -->
          <attribute name="option"/>
          <attribute name="lanplus"/>

for lanplus, and the sys-conf-cluster seems to work fine.

Version-Release number of selected component (if applicable):


How reproducible:

Pretty much every time.

Steps to Reproduce:
1. Use the attach cluster.conf (created by sys-config-cluster
2. open it up in system-config-cluster
3. see xmlint error messages for invalid attributes in xml file.
Actual results:

User can continue, but having to click this is a pita after editing the file or
ignoring it.

Expected results:

xml created by tool to validate.

Additional info:

Fixed cluster.ng and the cluster.conf in question to be attached.
Comment 1 Wade Mealing 2007-10-03 00:04:50 EDT
Created attachment 214311 [details]
Fixed cluster.ng schema
Comment 2 Wade Mealing 2007-10-03 00:05:17 EDT
Created attachment 214321 [details]
Cluster.conf with incorrect attributes.

Note You need to log in before you can comment on or make changes to this bug.